## com.bbn.openmap.layer.rpf
Class RpfFrameEntry

    java.lang.Object
      |
      +--com.bbn.openmap.layer.rpf.RpfFrameEntry

public class RpfFrameEntry
extends java.lang.Object

The RpfFrameEntry is a description of a RPF frame file that can be used to quickly gain status about the frame. It is mainly created by the table of contents handler (RpfTocHandler), and passed, in an array of brothers in a RpfTocEntry, to the cache handler. The cache handler will use the RpfTocEntry to figure out which frames are needed to get the subframes it wants, and the RpfFrameEntry supplies information to assist in loading that frame file.

Field Summary
`java.lang.String` `directory` Rpf to frame dir path.
`long` `diskspace` Used by the RpfTocHandler to create disk usage estimates.
`boolean` `exists` Whether the file exists or not.
`java.lang.String` `filename` Frame file name.
`java.lang.String` `framePath` Real path to the frame file.
`java.lang.String` `rpfdir` Absolute path to Rpf dir.

Constructor Summary
`RpfFrameEntry()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exists

    public boolean exists

  Whether the file exists or not.

### rpfdir

    public java.lang.String rpfdir

  Absolute path to Rpf dir.

### directory

    public java.lang.String directory

  Rpf to frame dir path.

### filename

    public java.lang.String filename

  Frame file name.

### framePath

    public java.lang.String framePath

  Real path to the frame file.

### diskspace

    public long diskspace

  Used by the RpfTocHandler to create disk usage estimates.

Constructor Detail

### RpfFrameEntry

    public RpfFrameEntry()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details